//--------------------------------------------------------------
// File     : main.c
// Datum    : 01.02.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der SPI-Slave-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_spi2_slave.h"

int main(void)
{
  uint8_t wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom SPI-2 im Slave-Mode
  UB_SPI2_Slave_Init(SPI_SMODE_0_MSB);

  while(1)
  {
    // Wert vom RAM an Adresse 0x00 auslesen
    wert=UB_SPI2_Slave_ReadByte(0x00);

    // LEDs je nach Inhalt schalten
    if(wert==0x12) {
      UB_Led_On(LED_GREEN);
      UB_Led_Off(LED_RED);
    }
    else {
      UB_Led_On(LED_RED);
      UB_Led_Off(LED_GREEN);
    }
  }
}

